package org.rcisoft.business.bagency.service;

import org.rcisoft.business.bagency.entity.BAgency;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;

/**
 * Created by  on 2018-4-4 8:57:37.
 */
public interface BAgencyService {

    /**
    * 保存 
    * @param bAgency
    * @return
    */
    PersistModel save(BAgency bAgency);

    /**
    * 逻辑删除 
    * @param bAgency
    * @return
    */
     PersistModel remove(BAgency bAgency);

    /**
    * 修改 
    * @param bAgency
    * @return
    */
    PersistModel merge(BAgency bAgency);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BAgency findById(String id);

    /**
    * 分页查询 
    * @param bAgency
    * @return
    */
    List<BAgency> findAllByPagination(PageUtil paginationUtility,
                                      BAgency bAgency);


    /**
     * 查询教学单位下是否有用户
     * @param paginationUtility
     * @param bAgency
     * @return
     */
//    String findBAgencyHaveUserOrNot(PageUtil paginationUtility,
//                                           BAgency bAgency);


    List<BAgency> queryMoreByPagination(PageUtil paginationUtility,
                                        BAgency bAgency);

}
