package org.rcisoft.business.barrange.dao;

import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.rcisoft.business.barrange.entity.BSubAgency;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface BSubAgencyRepository  extends BaseMapper<BSubAgency> {

//    @Select("SELECT DISTINCT(`status`) from b_sub_agency " +
//            "where subtask_id = " +
//            "(SELECT subtask_id FROM b_sub_agency where business_id = #{subAgencyId})")
    @Select("SELECT DISTINCT(`status`) from b_sub_agency where subtask_id = #{0}")
    List<String> querySubAgencyStatusBySubAgencyId(String subTaskId);

    @Select("SELECT subtask_id FROM b_sub_agency where business_id = #{subAgencyId}")
    String querySubTaskIdBySubAgencyId(String subAgencyId);

    @Update("update b_sub_agency set del_flag = 1 where subtask_id = #{0}")
    void deletePervious(String businessId);

    @Update("update b_sub_agency set status = 4 where business_id = #{0}")
    void changeStatus(String id);

}
