package org.rcisoft.business.bcarousel.service;


import org.rcisoft.business.bcarousel.entity.BCarousel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;

/**
 * Created by gwf on 2017-8-4 16:30:26.
 */
public interface BCarouselService{
    /**
    * 唯一查找
    * @param businessId
    * @return
    */
    BCarousel selectOne(String businessId);

    /**
    * 获取图片分页
    * @param pageUtil
    * @param model
    * @return
    */
    List<BCarousel> queryBCarouselsByPagination(PageUtil pageUtil, BCarousel model);

    /**
    * 获取图片
    * @param model
    * @return
    */
    List<BCarousel> queryBCarousels(BCarousel model);

    /**
    * 添加/编辑轮播图
    * @param model
    * @return
    */
    PersistModel persist(BCarousel model, String token);

    /**
    * 删除
    * @param id
    * @return
    */
    PersistModel removeBCarousel(String id, String token);
}
