package org.rcisoft.business.bcode.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.Map;

/**
 * Created by lcy on 18/1/3.
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BCodeFile {

    /*0 文件 1 目录*/
    private String fileType;

    private String content;

    private Date lastModify;

    private String name;

    private String id;

    private String pId;

    private String isFirstFile;

    /**
     * 容器属性
     *
     * port 端口
     *
     * endTime 结束时间  毫秒
     *
     */
    private Map lxcParam;

    public BCodeFile(String fileType, String content, Date lastModify, String name, String id, String pId, String isFirstFile) {
        this.fileType = fileType;
        this.content = content;
        this.lastModify = lastModify;
        this.name = name;
        this.id = id;
        this.pId = pId;
        this.isFirstFile = isFirstFile;
    }
}
