package org.rcisoft.business.bdirection.entity;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
* Created with  on 2017-12-19 13:45:42.
*/
@Entity
@Table(name = "b_direction")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BDirection extends IdEntity<BDirection> {
    private static final long serialVersionUID = -7918359689093194816L;

    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String code;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String name;

    public BDirection(String code) {
        this.code = code;
    }
}

