package org.rcisoft.business.beduclass.service;

import org.rcisoft.business.beduclass.entity.BEduClass;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by  on 2018-4-17 14:33:36.
 */
public interface BEduClassService {

    /**
    * 保存 
    * @param bEduClass
    * @return
    */
    PersistModel save(BEduClass bEduClass);

    /**
    * 逻辑删除 
    * @param bEduClass
    * @return
    */
     PersistModel remove(BEduClass bEduClass);

    /**
    * 修改 
    * @param bEduClass
    * @return
    */
    PersistModel merge(BEduClass bEduClass);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BEduClass findById(String id);

    /**
    * 分页查询 
    * @param bEduClass
    * @return
    */
    List<BEduClass> findAllByPagination(PageUtil<BEduClass> paginationUtility,
                                        BEduClass bEduClass);




}
