package org.rcisoft.business.bimage.entity;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
* Created with gwf on 2017-8-10 11:05:33.
*/
@Entity
@Table(name = "b_image")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BImage extends IdEntity<BImage> {

    public BImage(String imageCode) {
        this.imageCode = imageCode;
    }

    /*图片标题*/
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String imageName;

    /*图片code*/
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String imageCode;

}

