package org.rcisoft.business.bnews.service;


import org.rcisoft.business.bnews.entity.BNews;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;

/**
 * Created by gwf on 2017-8-10 11:05:34.
 */
public interface BNewsService{
    /**
    * 根据主键唯一查找
    * @param businessId
    * @return
    */
    BNews selectOne(String businessId);

    /**
    * 根据条件分页查找
    * @param pageUtil
    * @param model
    * @return
    */
    List<BNews> queryBNewssByPagination(PageUtil pageUtil, BNews model);

    /**
    * 根据条件查找全部
    * @param model
    * @return
    */
    List<BNews> queryBNewss(BNews model);

    /**
    * 插入
    * @param model
    * @return
    */
    PersistModel persist(BNews model,String token);

    /**
    * 逻辑删除
    * @param id
    * @return
    */
    PersistModel removeBNews(String id,String token);
}
