package org.rcisoft.business.brooms.dao;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.ResultType;
import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.brooms.entity.BRooms;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2018-4-23 9:26:21.
*/
@Repository
public interface BRoomsRepository extends BaseMapper<BRooms> {

    /**
    * 分页查询 bRooms
    *
    */
    @Select("<script>select * from b_rooms where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"condition !=null and condition != '' \">and classroom_name like concat(concat(\"%\",#{condition}),\"%\") or code like concat(concat(\"%\",#{condition}),\"%\") </if> "
            + "<if test=\"category !=null and category != '' \">and category = #{category} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "order by create_date desc"
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BRooms> queryBRoomss(BRooms bRooms);

    @Select("<script>select code from b_rooms where del_flag = 0</script>")
    List<String> queryAllCode();

    @Select("<script>select count(*) from b_rooms where code = #{code} </script>")
    int avoidRepeatCode(String code);

    @Select("<script>select count(*) from b_rooms where classroom_name = #{classroomName} </script>")
    int avoidRepeatCode2(String classroomName);

    int addExcel(List<BRooms> list);
}

