package org.rcisoft.business.brooms.service;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.rcisoft.business.brooms.entity.BRooms;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.result.Result;

import java.util.List;

/**
 * Created by  on 2018-4-23 9:26:21.
 */
public interface BRoomsService {

    /**
    * 保存 
    * @param bRooms
    * @return
    */
    PersistModel save(BRooms bRooms);

    /**
    * 逻辑删除 
    * @param bRooms
    * @return
    */
     PersistModel remove(BRooms bRooms);

    /**
    * 修改 
    * @param bRooms
    * @return
    */
    PersistModel merge(BRooms bRooms);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BRooms findById(String id);

    /**
    * 分页查询 
    * @param bRooms
    * @return
    */
    List<BRooms> findAllByPagination(PageUtil<BRooms> paginationUtility,
                                     BRooms bRooms);


    PersistModel uploadExcel(HSSFWorkbook hwb);

}
