package org.rcisoft.business.brslstudent.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
* Created with CodeGenerator on 2017/07/12.
*/
@Entity
@Table(name = "b_r_sl_student")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BRSlStudent {

    public BRSlStudent(String studentCode, String slCode) {
        this.studentCode = studentCode;
        this.slCode = slCode;
    }
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String businessId;

    /*学生编号*/
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String studentCode;

    /*课程编号*/
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String slCode;

    @Transient
    private String isRecommend;

}

