package org.rcisoft.business.bslapply.dao;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.bslapply.entity.BSlApply;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with gwf on 2017-8-10 11:05:34.
*/
@Repository
public interface BSlApplyRepository extends BaseMapper<BSlApply> {

    /**
    * 根据条件查找
    * @param param
    * @return
    */
    @Select("<script>select t1.*," +
            "\nt2.name as teacherName " +
            "\nfrom b_sl_apply t1 " +
            "\nleft join s_user t2 " +
            "\non t1.teacher_code=t2.login_name " +
            "\nwhere t1.del_flag = '0' and t1.flag = '1'" +
            "\nand t1.term_code like #{termCode}" +
            "\nand t1.apply_state = #{state}</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BSlApply> queryBSlApplys(Map<String, Object> param);
}

