package org.rcisoft.business.bslapply.dto;

import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * Created by gaowenfeng on 2017/8/14.
 */
@Data
public class ApplyFormDTO {
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    @NotEmpty(message = "学期编号不能为空")
    private String termCode;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    @NotEmpty(message = "课程名称不能为空")
    private String slName;
    @NotEmpty(message = "申请理由不能为空")
    private String applyCourse;
    private String applyState;
    private String applyCode;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    @NotEmpty(message = "教师编号不能为空")
    private String teacherCode;

    @Length(min = 1,max = 200,message = "长度最小为1,最大为150")
    @NotBlank
    private String refuseCourse;
}
