package org.rcisoft.business.bslschedule.entity;

import lombok.*;

import org.rcisoft.business.bagency.entity.BAgency;
import org.rcisoft.business.barrange.entity.ScheduleDto;
import org.rcisoft.business.bdirection.entity.BDirection;
import org.rcisoft.business.beduclass.entity.BEduClass;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.business.blesson.entity.BLessonDirection;
import org.rcisoft.business.brooms.entity.BRooms;
import org.rcisoft.business.bteacher.entity.BTeacher;
import org.rcisoft.business.bterm.entity.BTerm;
import org.rcisoft.core.entity.IdEntity;
import org.rcisoft.sys.user.entity.SysUser;

import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-5-2 16:48:15.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_sl_schedule")
public class BSlSchedule  extends IdEntity<BSlSchedule> {



     private String slId;

     private String roomCode;

     private String termCode;

     private String teaCode;

     private String seq;

     private Date startDate;

     private Date endDate;

     private Date startDay;

     private String slState;

     private String status;

     private String subAgencyId;

     private String lessonCode;

     private String eduClassCode;

     @Transient
     private BRooms bRooms;

     @Transient
     private BTeacher bTeacher;

     @Transient
     private SysUser sysUser;

     @Transient
     private BTerm bTerm;

     @Transient
     private BLesson bLesson;

     @Transient
     private BEduClass bEduClass;

     @Transient
     private BAgency bAgency;

     @Transient
     private BDirection bDirection;

     @Transient
     private List<ScheduleDto> list;

     @Transient
     private String result;

     @Transient
     private String bslCode;

     @Transient
     private String teacherName;

     @Transient
     private String classHour;
}

