package org.rcisoft.business.bterm.dto;

import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * Created by asus on 2017/7/24.
 */
@Data
public class BTermDTO {

    @NotNull
    @NotBlank
    private String startDate;

    @NotNull
    @NotBlank
    private String endDate;

    private String isStart;

    @NotBlank
    @Length(min = 1,max = 15,message = "长度最小为1,最大为15")
    private String code;
    @NotBlank
    @Length(min = 1,max = 50,message = "长度最小为1,最大为50")
    private String name;

    private String businessId;
}
