package org.rcisoft.business.texaminfo.entity;

import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_exam_detail")
public class TExamDetail  extends IdEntity<TExamDetail> {

     private static final long serialVersionUID = -3767007435655705399L;

     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String pId;
     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String eId;
     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String qId;
     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String uId;
     @Length(min = 1,max = 500,message = "长度最小为1,最大为450")
     @NotBlank
     private String uAnswer;

     private String qtype;

     private Float pScore;


}

