package org.rcisoft.business.texaminfo.entity;

import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_exam_info")
public class TExamInfo  extends IdEntity<TExamInfo> {


     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String pId;
     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String uId;

     private String status;

     private Float pScore;

     private Integer sorder;
     @Length(min = 1,max = 30,message = "长度最小为1,最大为25")
     @NotBlank
     private String ip;

     public TExamInfo(String pId) {
        this.pId = pId;
     }


}

