package org.rcisoft.business.texaminfo.service;

import org.apache.tools.ant.taskdefs.condition.Http;
import org.rcisoft.business.texaminfo.OptionsDto;
import org.rcisoft.business.texaminfo.entity.TExamInfo;
import org.rcisoft.business.tquestion.entity.TQuestion;
import org.rcisoft.business.tquestion.entity.TQuestionOptions;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created by yangzhaojun on 2018-1-15 19:49:07.
 */
public interface TExamInfoService {

    /**
    * 保存 
    * @param chapterId
    * @return
    */
    PersistModel save(String chapterId, String userId, TExamInfo tExamInfo, HttpServletRequest request);

    /**
    * 逻辑删除 
    * @param tExamInfo
    * @return
    */
     PersistModel remove(TExamInfo tExamInfo);

    /**
    * 修改 
    * @param tExamInfo
    * @return
    */
    PersistModel merge(TExamInfo tExamInfo);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    TExamInfo findById(String id);

    /**
    * 分页查询 
    * @param tExamInfo
    * @return
    */
    List<TExamInfo> findAllByPagination(PageUtil<TExamInfo> paginationUtility,
                                        TExamInfo tExamInfo);


    PersistModel finishPractice(OptionsDto options, String userId);
}
