package org.rcisoft.business.tpaper.dao;

import org.apache.ibatis.annotations.Insert;
import org.rcisoft.business.tpaper.entity.TPaperDetail;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Repository
public interface TPaperDetailRepository extends BaseMapper<TPaperDetail> {

    /**
    * 分页查询 tPaperDetail
    *
    */
    @Select("<script>select * from t_paper_detail where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if>' "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if>' "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TPaperDetail> queryTPaperDetails(TPaperDetail tPaperDetail);

    @Insert("<script>INSERT INTO t_paper_detail " +
            "(p_id,ps_id,q_id,p_score,sorder)VALUES" +
            "<foreach collection=\"list\" item=\"item\" separator=\",\">" +
            "( #{item.pId},#{item.psId},#{item.qId},#{item.pScore},#{item.sorder})" +
            "</foreach></script>")
    int insertList(List<TPaperDetail> tPaperDetails);
}

