package org.rcisoft.business.tpaper.entity;

import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.AutoIncrementEntity;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_paper")
public class TPaper  extends AutoIncrementEntity<TPaper> {


     private static final long serialVersionUID = 8239396163023570214L;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
     private String pcId;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
     private String chapId;

     private Float pScore;

     private String status;


    public TPaper(String pcId) {
        this.pcId = pcId;
    }
}

