package org.rcisoft.business.tpaperchapter.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.AutoIncrementEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created by Administrator on 2018/1/26.
 */

@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_paper_chapter_section")
public class TPaperChapterSection extends AutoIncrementEntity{
    private static final long serialVersionUID = -821006305968482843L;

    private String pcId;

    private String sdesc;

    private String qType;

    private Integer qNum;


    @Transient
    private String NumOfChoice;

    @Transient
    private String NumOfMultiSelect;

    @Transient
    private String NumOfJudgment;

    public TPaperChapterSection(String pcId) {
        this.pcId = pcId;
    }
}
