package org.rcisoft.config;

import org.rcisoft.core.model.NullSerializer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;

/**
 * Created by YangZhaojun on 2018/1/3.
 * 将自定义ObjectMapper加入到SpringBoot中
 */
@Configuration
public class NullSerializerConfig {
    @Bean
    public MappingJackson2HttpMessageConverter mappingJacksonHttpMessageConverter() {
        final MappingJackson2HttpMessageConverter converter = new MappingJackson2HttpMessageConverter();
        NullSerializer mapper = new NullSerializer();
        converter.setObjectMapper(mapper);
        return converter;
    }
}
