package org.rcisoft.core.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * Created by Administrator on 2018/1/25.
 * 自增长
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@MappedSuperclass
public abstract class AutoIncrementEntity<T> implements Serializable {

    private static final long serialVersionUID = 4698384920887817032L;
    @Id
    protected Integer businessId;		// 编号

    @Transient
    protected String token;
}
