package org.rcisoft.core.exception;


import org.rcisoft.core.result.ResultExceptionEnum;
import org.rcisoft.core.result.ResultServiceEnums;

/**
 * Created by lcy on 17/11/24.
 */
public class SystemException extends RuntimeException {


    private static final long serialVersionUID = 6754245448482845538L;
    Integer code;

    public SystemException() {
    }

    public SystemException(ResultExceptionEnum resultEnum){
        super(resultEnum.getMessage());
        code = resultEnum.getCode();
    }

    public SystemException(ResultServiceEnums resultEnums) {
        super(resultEnums.getMessage());
        this.code = resultEnums.getCode();
    }

    public SystemException(String message) {
        super(message);
    }

    public SystemException(String message, Throwable cause) {
        super(message, cause);
    }

    public SystemException(Integer code, String message) {
        super(message);
        this.code = code;
    }
}
