package org.rcisoft.core.model;

import lombok.Data;

/**
 * Created with family.
 * author: cy
 * Date: 16/6/22
 * Time: 上午9:13
 * description:
 */
@Data
public class PersistModel {

    public PersistModel(int influence) {
        this.influence = influence;
    }

    public PersistModel(int influence, Object result) {
        this.influence = influence;
        this.result = result;
    }

    private int influence;

    private Object result;

    private String influenceReason = "";



    public PersistModel(int influence, String influenceReason) {
        this.influence = influence;
        this.influenceReason = influenceReason;
    }

    /**
     * 单一插入是否成功
     * @return  是否成功
     */
    public boolean isSuccessBySinglePersist(){
        if(1 <= influence)
            return true;
        return false;
    }
}
