package org.rcisoft.core.model.dlsw;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class Condition implements Serializable {

	private static final long serialVersionUID = -811804260626675487L;
	/**
	 * 左括号
	 */
	private String left_parentheses;
	
	/**
	 * 字段名称
	 */
	private String condition_field;
	
	/**
	 * 条件
	 */
	private String condition_type;
	
	/**
	 * 值
	 */
	private String condition_value;
	
	/**
	 * 右括号
	 */
	private String right_parentheses;
	
	/**
	 * 查询逻辑
	 */
	private String logic;


}
