package org.rcisoft.core.service;


import org.rcisoft.core.model.UserAuthDTO;
import org.rcisoft.sys.user.entity.SysUser;

/**
 * Created by lcy on 17/11/24.
 */
public interface AuthenticationService {
    /**
     * 注册
     * @param userToAdd
     */
    void register(SysUser userToAdd,String roleId);

    /**
     * 登录
     * @param username
     * @param password
     * @return
     */
    UserAuthDTO login(String username, String password, String userType);

    /**
     * 刷新
     * @param oldToken
     * @return
     */
    String refresh(String oldToken);
}
