package org.rcisoft.core.util;

/**
 * 判断字符串中是否含有中文
 * Created by Administrator on 2018/4/26.
 */
public class TestChinese {

    public static boolean isChineseChar(char c) {
        return c >= 0x4E00 &&  c <= 0x9FA5;// 根据字节码判断
    }

    public static boolean isChinese(String str) {
        if (str == null) return false;
        for (char c : str.toCharArray()) {
            if (isChineseChar(c)) return true;// 有一个中文字符就返回
        }
        return false;
    }
}
