package org.rcisoft.sys.user.service;


import org.rcisoft.common.model.GridModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.sys.user.entity.SysUser;

import java.util.List;

public interface SysUserService {


    PersistModel persistUser(SysUser user);

    void updateUser(SysUser user, String uid, int line);

    String checkPassword(String userId);

    int changePassword(String userId, String newPassword);

    int resetPassword(String loginName);

    int addOrUpdateUser(SysUser user);

    List<SysUser> queryUsersByPagination(PageUtil pageUtil, SysUser sysUser);

    int removeUser(String id, String token);

    int stopOrStartUserByUserBusinessId(String businessId);
}
