package org.rcisoft.business.barrange.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.business.bagency.entity.BAgency;
import org.rcisoft.business.bopinion.entity.BOpinion;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_sub_agency")
public class BSubAgency extends IdEntity<BSubAgency> {

    private static final long serialVersionUID = -976454981149942491L;

    private String agencyCode;

    private String subtaskId;

    private String status;

    private String subAgencySeq;

    @Transient
    private String agencyName;

    @Transient
    private String termName;

    @Transient
    private String termCode;

    @Transient
    private String subtaskName;

    @Transient
    private List<BOpinion> childList;

    public BSubAgency(String businessId, String status) {
        this.businessId = businessId;
        this.status = status;
    }
}
