package org.rcisoft.business.bcompany.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created by Administrator on 2018/5/2.
 */
@Data
@Entity
@Table(name="b_company")
@NoArgsConstructor
@AllArgsConstructor
public class BCompany extends IdEntity<BCompany>{

    private static final long serialVersionUID = 7782295246567640194L;

    private String code;

    private String agencyCode;

    @Transient
    private String name;

    @Transient
    private String agencyName;

    @Transient
    private String roleCode;

    @Transient
    private String roleName;

    @Transient
    private String roleId;

    public BCompany(String businessId, String delFlag, String flag) {
        this.businessId = businessId;
        this.delFlag = delFlag;
        this.flag = flag;
    }

    public BCompany(String businessId, String delFlag) {
        this.businessId = businessId;
        this.delFlag = delFlag;
    }

}
