package org.rcisoft.business.bcoursecode.service;

import org.rcisoft.business.bcoursecode.entity.BCourseCode;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by  on 2018-4-17 11:12:17.
 */
public interface BCourseCodeService {


    /**
    * 修改 
    * @param bCourseCode
    * @return
    */
    PersistModel merge(BCourseCode bCourseCode);


    /**
    * 分页查询 
    * @param bCourseCode
    * @return
    */
    List<BCourseCode> findAll(BCourseCode bCourseCode);

    /**
     * 启用课程节点
     * @param businessId
     * @return
     */
//    PersistModel startFlag(String businessId);

    /**
     * 停用课程节点
     * @param businessId
     * @return
     */
//    PersistModel stopFlag(String businessId);

    /**
     * 变动课程节点
     * @param businessId
     * @return
     */
    PersistModel changeFlag(String businessId);

}
