package org.rcisoft.business.bdirection.service;


import org.rcisoft.business.bdirection.entity.BDirection;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.model.SelectModel;

import java.util.List;

/**
 * Created by  on 2017-12-19 13:45:42.
 */
public interface BDirectionService {
    /**
     * 根据bLesson对象查询
     */
    BDirection selectOne(String businessId);

    /**
     * 根据条件分页查找
     * @param pageUtil
     * @param model
     * @return
     */
    List<BDirection> queryDirectionsByPagination(PageUtil pageUtil, BDirection model);

    /**
     * 根据条件查找全部
     * @param model
     * @return
     */
    List<BDirection> queryDirections(BDirection model);

    /**
     * 插入/修改
     * @param model
     * @return
     */
    PersistModel persist(BDirection model);

    /**
     * 逻辑删除
     * @param id
     * @return
     */
    PersistModel removeDirection(String id);

    List<SelectModel> queryDirectionsList();
}
