package org.rcisoft.business.bfile.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.bfile.entity.BFile;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with gaowenfneg on 2017-10-9 14:34:56.
*/
@Repository
public interface BFileRepository extends BaseMapper<BFile> {

    /**
    * 根据条件查找
    * @param param
    * @return
    */
    @Select("<script>select * from b_file where del_flag != 1 and flag = 1 </script>")
    @ResultMap(value = "BaseResultMap" )
    List<BFile> queryBVideos(Map<String, Object> param);

    @Select("<script>SELECT * from b_file " +
            "where chapter_id = #{chapterId} and del_flag != 1 and flag = 1 </script>")
    @ResultMap(value = "BaseResultMap" )
    BFile selectInfoByChapterId(String chapterId);

    @Select("<script>SELECT * FROM b_file WHERE chapter_id = #{chapterId} and del_flag != 1 and flag = 1 </script>")
    @ResultMap(value = "BaseResultMap" )
    BFile queryFileUrlByChapterId(String chapterId);


    @Select("<script>SELECT * FROM b_file WHERE chapter_id = #{chapterId} and del_flag != 1 and flag = 1 </script>")
    @ResultMap(value = "BaseResultMap" )
    BFile queryBVideoByChapterId(String chapterId);

}

