package org.rcisoft.business.bgrade.service;

import org.rcisoft.business.bgrade.entity.BGrade;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by  on 2018-4-17 15:09:18.
 */
public interface BGradeService {

    /**
    * 保存 
    * @param bGrade
    * @return
    */
    PersistModel save(BGrade bGrade);

    /**
    * 逻辑删除 
    * @param bGrade
    * @return
    */
     PersistModel remove(BGrade bGrade);

    /**
    * 修改 
    * @param bGrade
    * @return
    */
    PersistModel merge(BGrade bGrade);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BGrade findById(String id);

    /**
    * 分页查询 
    * @param bGrade
    * @return
    */
    List<BGrade> findAllByPagination(PageUtil<BGrade> paginationUtility,
                                     BGrade bGrade);


    /**
     * 查询近5年的年级
     * @param bGrade
     * @return
     */
    List<BGrade> queryFirstFiveBGrades(BGrade bGrade);
}
