package org.rcisoft.business.bimage.dao;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.rcisoft.business.bimage.entity.BImage;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

/**
* Created with gwf on 2017-8-10 11:05:33.
*/
@Repository
public interface BImageRepository extends BaseMapper<BImage> {

    /**
    * 根据条件查找
    * @param param
    * @return
    */
    @Select("<script>select * from b_image where del_flag != 1 and flag = 1 </script>")
    @ResultMap(value = "BaseResultMap" )
    List<BImage> queryBImages(Map<String, Object> param);

    @Update("<script>update b_image set update_date = #{updateDate}</script>")
    void updateTime(BImage image);
}

