package org.rcisoft.business.bimage.service;


import org.rcisoft.business.bimage.entity.BImage;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;

/**
 * Created by gwf on 2017-8-10 11:05:33.
 */
public interface BImageService{
    /**
    * 根据主键唯一查找
    * @param businessId
    * @return
    */
    BImage selectOne(String businessId);

    /**
    * 根据条件分页查找
    * @param pageUtil
    * @param model
    * @return
    */
    List<BImage> queryBImagesByPagination(PageUtil pageUtil, BImage model);

    /**
    * 根据条件查找全部
    * @param model
    * @return
    */
    List<BImage> queryBImages(BImage model);

    /**
    * 插入
    * @param model
    * @return
    */
    PersistModel persist(BImage model,String token);

    /**
    * 逻辑删除
    * @param id
    * @return
    */
    PersistModel removeBImage(String id, String token);
}
