package org.rcisoft.business.blesson.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Administrator on 2017/12/20.
 */
@Entity
@Table(name = "b_lesson_direction")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BLessonDirection {
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String businessId;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String lessionId;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String directionId;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String slId;
}
