package org.rcisoft.business.blesson.service;


import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.io.IOException;
import java.util.List;

/**
 * Created by CodeGenerator on 2017/07/12.
 */
public interface BLessonService{

    /**
    * 根据主键唯一查找
    * @param businessId
    * @return
    */
    BLesson selectOne(String businessId);

    /**
     * 根据bLesson对象查询
     */
    BLesson selectOne(BLesson bLesson);
    /**
     * 根据bLesson对象更新
     */
    int updateByPrimaryKeySelective(BLesson bLesson);
    /**
    * 根据条件分页查找
    * @param pageUtil
    * @param model
    * @return
    */
    List<BLesson> queryBLessonsByPagination(PageUtil pageUtil, BLesson model);

    /**
    * 根据条件查找全部
    * @param model
    * @return
    */
    List<BLesson> queryBLessons(BLesson model);

    /**
    * 插入
    * @param model
    * @return
    */
    PersistModel persist(BLesson model,String token);

    /**
     * 课程信息excel导入
     * @param hwb
     * @return
     */
    PersistModel importExcel(HSSFWorkbook hwb,String token) throws IOException;

    /**
     * 逻辑删除
     * @param id
     * @return
     */
    PersistModel removeBLesson(String id);
}
