package org.rcisoft.business.bopinion.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.business.barrange.entity.BArrange;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/**
 * Created by Administrator on 2017/12/21.
 */

@Entity
@Table(name = "b_opinion")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BOpinion extends IdEntity<BOpinion> {
    private static final long serialVersionUID = 1300895032499081565L;

//    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
//    @NotBlank
//    private String businessId;

    @Length(min = 1,max = 255,message = "长度最小为1,最大为200")
    @NotBlank
    private String opinion;

    private Date createDate;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String slId;

    private String subAgencyId;

    @Transient
    private String arrangeId;

    @Transient
    private String agencyCode;

    @Transient
    private String subtaskId;

    @Transient
    private String createPerson;

}
