package org.rcisoft.business.bslapply.service;


import org.rcisoft.business.bslapply.dto.ApplyDTO;
import org.rcisoft.business.bslapply.entity.BSlApply;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * Created by gwf on 2017-8-10 11:05:34.
 */
public interface BSlApplyService{
    /**
    * 根据主键唯一查找
    * @param businessId
    * @return
    */
    BSlApply selectOne(String businessId);

    /**
    * 根据条件分页查找
    * @param pageUtil
    * @param model
    * @return
    */
    List<BSlApply> queryBSlApplysByPagination(PageUtil pageUtil, BSlApply model);

    /**
    * 根据条件查找全部
    * @param model
    * @return
    */
    List<BSlApply> queryBSlApplys(BSlApply model);

    /**
    * 插入
    * @param model
    * @return
    */
    PersistModel persist(BSlApply model, String token);

    /**
    * 逻辑删除
    * @param id
    * @return
    */
    PersistModel removeBSlApply(String id, String token);

    /**
     * 同意申请
     * @param applyDTO
     */
    void agreeApply(ApplyDTO applyDTO, String token) throws UnsupportedEncodingException;
}
