package org.rcisoft.business.bslschedule.entity;

import lombok.Data;
import org.rcisoft.business.barrange.entity.ScheduleDto;

import java.util.ArrayList;
import java.util.List;

@Data
public class ScheduleDetail {

    private String roomCode;

    private String termCode;

    private String teaCode;

    private String lessonCode;

    private String eduClassCode;

    private String studentNum;

    private String lessonName;

    private String bslCode;

    private String classHour;

    private String userName;

    private String email;

    private String phone;

    private String agencyName;

    private String agencyCode;

    private String campus;

    private String category;

    private String building;

    private String classroomNo;

    private String classroomName;

    private String weekDetail;

    private String subAgencyId;

    private String directionCode;

    private String directionName;

    List<ScheduleDto> list = new ArrayList<>();

    public String getCampus(){
        if(this.campus != null && !this.campus.equals("")){
            switch (this.campus) {
                case "0":
                    this.campus = "校本部";
                    break;
                case "1":
                    this.campus = "新校区";
                    break;
            }
        }

        return this.campus;
    }

    public String getBuilding(){
        if(this.building != null && !this.building.equals("")){
            switch (this.building) {
                case "0":
                    this.building = "A区";
                    break;
                case "1":
                    this.building = "B区";
                    break;
                case "2":
                    this.building = "C区";
                    break;
                case "3":
                    this.building = "D区";
                    break;
            }
        }

        return this.building;
    }

    public String getCategory(){
        if(this.category != null && !this.category.equals("")){
            switch (this.category) {
                case "0":
                    this.category = "普通教室";
                    break;
                case "1":
                    this.category = "听力教室";
                    break;
                case "2":
                    this.category = "多媒体教室";
                    break;
                case "3":
                    this.category = "实训机房";
                    break;
                case "4":
                    this.category = "报告厅";
                    break;
                case "5":
                    this.category = "多功能报告厅";
                    break;
                case "6":
                    this.category = "阶梯教室";
                    break;
            }
        }

        return this.category;
    }
}
