package org.rcisoft.business.bslschedule.service;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.rcisoft.business.bslschedule.entity.BSlSchedule;
import org.rcisoft.business.bslschedule.entity.ScheduleDetail;
import org.rcisoft.business.bslschedule.entity.ScheduleResult;
import org.rcisoft.business.bslschedule.entity.ScheduleResult2;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by  on 2018-5-2 16:39:34.
 */
public interface BSlScheduleService {

    /**
    * 保存 
    * @param bSlSchedule
    * @return
    */
    PersistModel save(BSlSchedule bSlSchedule);

    /**
    * 逻辑删除 
    * @param bSlSchedule
    * @return
    */
     PersistModel remove(BSlSchedule bSlSchedule);

    /**
    * 修改 
    * @param bSlSchedule
    * @return
    */
    PersistModel merge(BSlSchedule bSlSchedule);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    BSlSchedule findById(String id);

    /**
    * 分页查询 
    * @param bSlSchedule
    * @return
    */
    List<BSlSchedule> findAllByPagination(PageUtil<BSlSchedule> paginationUtility,
                                          BSlSchedule bSlSchedule);




    ScheduleResult queryMoreBSlSchedules(String week,String termCode1, String subAgencyId);

    ScheduleDetail queryDetail(String businessId);

    ScheduleResult2 queryMoreBSlSchedules2(String week, String termCode1, String subAgencyId);
}
