package org.rcisoft.business.tpaper.dao;

import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.tpaper.entity.TPaper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Repository
public interface TPaperRepository extends BaseMapper<TPaper> {

    /**
    * 分页查询 tPaper
    *
    */
    @Select("<script>select * from t_paper where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TPaper> queryTPapers(TPaper tPaper);

    @Select("select business_id from t_paper where pc_id = #{pcId}")
    List<String> queryIdByPcId(String pcId);
}

