package org.rcisoft.business.tpaper.entity;

import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.AutoIncrementEntity;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_paper_detail")
public class TPaperDetail  extends AutoIncrementEntity<TPaperDetail> {


     private static final long serialVersionUID = -7387975301231354793L;
     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String pId;
     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String psId;
     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String qId;

     private Float pScore;

     private Integer sorder;


     public TPaperDetail(String pId) {
          this.pId = pId;
     }
}

