package org.rcisoft.business.tpaper.service;

import org.rcisoft.business.tpaper.entity.TPaper;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by yangzhaojun on 2018-1-15 19:49:07.
 */
public interface TPaperService {

    /**
    * 保存 
    * @param tPaper
    * @return
    */
    PersistModel save(TPaper tPaper);

    /**
    * 逻辑删除 
    * @param tPaper
    * @return
    */
     PersistModel remove(TPaper tPaper);

    /**
    * 修改 
    * @param tPaper
    * @return
    */
    PersistModel merge(TPaper tPaper);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    TPaper findById(String id);

    /**
    * 分页查询 
    * @param tPaper
    * @return
    */
    List<TPaper> findAllByPagination(PageUtil<TPaper> paginationUtility,
                                     TPaper tPaper);




}
