package org.rcisoft.business.tpaperchapter.service;

import org.rcisoft.business.tpaperchapter.entity.TPaperChapter;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by yangzhaojun on 2018-1-15 19:49:07.
 */
public interface TPaperChapterService {

    /**
    * 保存 
    * @param tPaperChapter
    * @return
    */
    PersistModel save(TPaperChapter tPaperChapter);

    /**
    * 逻辑删除 
    * @param tPaperChapter
    * @return
    */
     PersistModel remove(TPaperChapter tPaperChapter);

    /**
    * 修改 
    * @param tPaperChapter
    * @return
    */
    PersistModel merge(TPaperChapter tPaperChapter);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    TPaperChapter findById(String id);

    /**
    * 分页查询 
    * @param tPaperChapter
    * @return
    */
    List<TPaperChapter> findAllByPagination(PageUtil<TPaperChapter> paginationUtility,
                                            TPaperChapter tPaperChapter);


    TPaperChapter queryTPaperChapterInfo(String slId, String chapterId);
}
