package org.rcisoft.business.tquestion.dao;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.tquestion.entity.TQuestionOptions;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Repository
public interface TQuestionOptionsRepository extends BaseMapper<TQuestionOptions> {

    /**
    * 分页查询 tQuestionOptions
    *
    */
    @Select("<script>select * from t_question_options where 1=1 "
            + "<if test=\"qid !=null and qid != '' \">and qid = #{qid} </if> " +
            "order by alias"
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TQuestionOptions> queryTQuestionOptions(@Param("qid") String qid);

    @Delete("delete from t_question_options where qid = #{qid}")
    int deleteByQId(String qid);
}

