package org.rcisoft.business.tquestion.entity;

import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_question_options")
public class TQuestionOptions  extends IdEntity<TQuestionOptions> {


     private static final long serialVersionUID = 375966816294919634L;
     private String qid;
     @Length(min = 1,max = 2,message = "长度最小为1,最大为2")
     @NotBlank
     private String alias;
     @Length(min = 1,max = 50,message = "长度最小为1,最大为40")
     @NotBlank
     private String represent;


}

