package org.rcisoft.core.component;

import org.rcisoft.core.bean.RcLkConfigBean;
import org.rcisoft.core.lk.VerifyLi;
import org.rcisoft.core.service.RcRedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * Created by lcy on 18/3/19.
 */
@Component
public class RcVerify {

    @Autowired
    private VerifyLi verifyLi;

    @Autowired
    private RcLkConfigBean rcLkConfigBean;

    @Autowired
    private RcRedisService rcRedisServiceImpl;

    public boolean verify() throws Exception {
        boolean result = verifyLi.verify(rcLkConfigBean);
        //验证
        if(result)
            rcRedisServiceImpl.set("lk","1");
        else
            rcRedisServiceImpl.set("lk","0");
        return result;
    }
}
