package org.rcisoft.core.result;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * Created by lcy on 17/11/24.
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum ResultExceptionEnum {

    LICENSE_EXPIRED(5000,"许可证过期"),
    USER_EXISTS(4001,"用户已经存在"),
    USER_NOT_EXISTS(4002,"用户不存在"),
    SAVE_ERROR(4003,"添加失败"),
    PARAM_ERROR(4004,"参数错误"),
    OS_NOT_FOUND(4005,"操作系统不存在"),
    SERVER_NOT_FOUND(4006,"服务器不存在"),
    SERVER_HAS_APP(4007,"服务器仍有关联应用，不可删除"),
    OS_HAS_SERVER(4008,"操作系统仍有关联服务器，不可删除"),
    START_LXC_SERVER(4009,"启动容器失败"),
    EXIST_LXC_SERVER(4010,"已开始其他课程实验,请先关闭其他课程实验"),
    ;

    private Integer code;
    private String message;

}
