package org.rcisoft.core.task;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.core.component.RcVerify;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * Created by lcy on 18/3/19.
 */
@Component
@Slf4j
public class SystemTask {

    @Autowired
    private RcVerify rcVerify;

    @Scheduled(cron = "0 0 0/1 * * ?")
    public void work() throws Exception {
        rcVerify.verify();
    }
}
