package org.rcisoft.core.util;

import com.alibaba.fastjson.JSONObject;
import org.rcisoft.core.model.DlswPageGridModel;
import org.rcisoft.core.model.dlsw.Column;
import org.rcisoft.core.model.dlsw.Condition;
import org.rcisoft.core.model.dlsw.Sort;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by lcy on 18/3/13.
 *
 * product DlswPageGridModel
 */
@SuppressWarnings("rawtypes")
public class DlswPageGridUtil {

    /**
     * 将JSON对象映射为Pager对象
     * @param jsonStr 原JSON对象
     * @throws Exception
     */
    public static DlswPageGridModel transform(String jsonStr) throws Exception{
        Map<String, Class> classMap = new HashMap<String, Class>();
        classMap.put("parameters", Map.class);
        classMap.put("fastQueryParameters", Map.class);
        classMap.put("advanceQueryConditions", Condition.class);
        classMap.put("advanceQuerySorts", Sort.class);
        classMap.put("exhibitDatas", Map.class);
        classMap.put("exportColumns", Column.class);
        classMap.put("exportDatas", Map.class);
        DlswPageGridModel pager = (DlswPageGridModel)JSONObject.parseObject(jsonStr, DlswPageGridModel.class);
        return pager;
    }
}
