package org.rcisoft.core.util;

import org.apache.commons.lang3.StringUtils;

/**
 * Created by lcy on 18/1/24.
 * 文件util
 */
public class FileUtil {

    /**
     * 获取文件后缀
     * @param fileName
     * @return
     */
    public static String getFilePostfix(String fileName){
        if(StringUtils.isEmpty(fileName))
            return "";
        String fileSuffix = fileName.substring(fileName.lastIndexOf(".")+1);
        if(fileSuffix.equals("docx")){
            return "doc";
        }else if(fileSuffix.equals("pptx")){
            return "ppt";
        }else if(fileSuffix.equals("xlsx")){
            return "xls";
        }else {
            return fileSuffix;
        }
    }

}
