package org.rcisoft.sys.dept.entity;



import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/**
 * Created by lcy on 16/7/30.
 */
@Entity
@Table(name = "s_dept")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysDept extends IdEntity<SysDept> {

    private static final long serialVersionUID = 3216338584130448593L;

    @Transient
    private String checked;     // 根据权限 是否被选中


    private String parentId;  //父机构id
    /*<property name="useCodeAsDefaultMessage" value="false" />*/
    @Length(min = 2,max = 10,message = "部门名称{min}和{max}之间")
    private String name;  //部门名称

    private String deptCode; //部门编号

    private Date seqDate ; //排序日期

}
