package org.rcisoft.sys.user.entity;

import lombok.Data;
import org.rcisoft.core.entity.IdEntity;

import javax.jws.soap.SOAPBinding;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by gaowenfeng on 2017/8/1.
 */
@Data
@Entity
@Table(name = "s_r_user_role")
public class UserRole extends IdEntity<SOAPBinding.Use> {
    private static final long serialVersionUID = 7355723897904246012L;
    private String userId;
    private String roleId;

    public UserRole(String userId, String roleId) {
        this.userId = userId;
        this.roleId = roleId;
    }
}
