# 存储结构
## 文件存储

    |eduServer|    (nginx server)
       | course| (课程)
            |lesson|(课程)
                |images|(课程图片)
                |lessonId|
                    |chapterId|
                        |video|
                            |乱码文件|
                        |file|
                            |乱码文件|
                        |ppt|
                            |乱码文件|
                        |pdf|
                            |乱码文件|
            |sl|    (开课)
                |images|(开课图片)
                |slId|
                    |chapterId|
                        |video|
                            |乱码文件|
                        |file|
                            |乱码文件|
                        |ppt|
                            |乱码文件|
                        |pdf|
                            |乱码文件|
                        |homework|
                            |userid|
                                |乱码文件|
                        |code|
                            |userid|
                                文件
                        |project|
                            |userid|
                              文件夹

       |mdfiles| (待确认)
            |2017|
                |07|
       | temp |  (临时)

       |system|
                |images|(轮播图)
       |default|
       
# 作业导出结构
    |开课序号+开课名称.zip|    20170001+JAVA.zip
        |章节序号|            1.1
            |学号+姓名|       01081402+张三
               文件           test.java
              （或）         （或）
              文件夹          project

# 容器
## 容器编排

### html 工程
> 无node grunt 环境
镜像  httpd:2.4

1. apache容器
2. 端口分配 [12000-22000]


### java 工程
> 包括maven 环境
镜像  maven:3.5-ibmjava-8
mysql

1. jdk8的环境
2. maven环境映射

## 容器存储

|eduLxc|
    |userId|
        |docker-compose.yml|

## redis
存储方案
~~~~
{

    lessonLxc_userid:{
        "containerId":"",
        "totalMin":23,
        "startDate":"2017-02-11 12:23:11",
        "shutdownDate":"2017-02-11 12:53:11",
        "sl":"",
        "code":"1001"
    }

}
~~~~

# 容器
## maven_ssh_cy:0.1 (java环境)

### 镜像搭建
~~~~
#镜像

docker run -d   --name test_ubuntu vertigomedia/ubuntu-jdk8 tail -f /dev/null

docker exec -it 22 /bin/bash

apt-get update

apt-get install -y openssh-server

echo "root:rcrt_product" | chpasswd

mkdir -p /var/run/sshd

vi /run.sh

#!/bin/bash

/usr/sbin/sshd -D

chmod +x /run.sh

groupadd rc_cy

useradd -g rc_cy cy

passwd cy (cy)

docker commit 1ae  java_exam_cy:0.1

#测试
docker run -d -p 10200:22 --name cy_test java_exam_cy:0.1 /run.sh
~~~~


### 使用

docker-compose.yml
~~~~

~~~~

